| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes

# IG::Num::Func3d2dExamples Class Reference

Contains a number of example 3D vector functions of 2 variables. Many of the contained nested classes define interesting parametric surfaces. More...

Inheritance diagram for IG::Num::Func3d2dExamples:
[legend]
Collaboration diagram for IG::Num::Func3d2dExamples:
[legend]

List of all members.

## Classes
class | CylinderParametric
| Parametric equation of an origin-centered (ellipsoidal) cylindrical surface in form of 3D vector function of 2 variables. More...
class | EllipsoidParametric
| Parametric equation of an origin-centered ellipsoid surface in form of 3D vector function of 2 variables. More...
class | EnneperSurface
| Parametric equation of the Enneper surface, in form of 3D vector function of 2 variables. More...
class | HyperbolicParabolloid
| Surface that is a graph of the function z/c=x^2/a^2-y^2/b^2. More...
class | HyperboloidParametric
| Parametric definition of an origin-centered hyperboloid surface (x^2/a^2+y^2/b^2-z^2/c^2=1) in form of 3D vector function of 2 variables. More...
class | HyperboloidParametric2
| Alternative parametric definition of an origin-centered hyperboloid surface (x^2/a^2+y^2/b^2-z^2/c^2=1) in form of 3D vector function of 2 variables. More...
class | HyperboloidParametricMinus
| Alternative parameterization of an origin-centered hyperboloid surface (x^2/a^2+y^2/b^2-z^2/c^2=1) in form of 3D vector function of 2 variables. One set of parameter curves are straight lines running in counter clockwise direction when watched from above. More...
class | HyperboloidParametricPlus
| Alternative parameterization of an origin-centered hyperboloid surface (x^2/a^2+y^2/b^2-z^2/c^2=1) in form of 3D vector function of 2 variables. One set of parameter curves are straight lines running in clockwise direction when watched from above. More...
class | HyperboloidTwosheetedLowerParametric
| Parametric definition of an origin-centered upper two-sheeted hyperboloid surface (x^2/a^2+y^2/b^2-z^2/c^2-1) in form of 3D vector function of 2 variables. More...
class | HyperboloidTwosheetedUpperParametric
| Parametric definition of an origin-centered upper two-sheeted hyperboloid surface (x^2/a^2+y^2/b^2-z^2/c^2-1) in form of 3D vector function of 2 variables. More...
class | KleinBottle
| Defines the Klein's bottle (a parametric surface), a closed surface with no interior and exterior. More...
class | KleinBottle1
| Defines the Klein's bottle (a parametric surface), a closed surface with no interior and exterior. More...
class | KleinBottle2
| Defines the Klein's bottle (a parametric surface), a closed surface with no interior and exterior. More...
class | MobiusStrip
| Defines the Möbius strip (a parametric surface), a surface with only one side and only one boundary component. More...
class | Parabolloid
| Surface that is a graph of the function z/c=x^2/a^2+y^2/b^2. More...
class | ParametricSurface
| Base class for easy definition of parametric surfaces intended for plotting. More...
class | SaddleXY
| Parametric surface that is a graph of the function f(x,y)=x*y. More...
class | SnailConicSpiral_ToCheck
| Defines a parametric definition of a snail shell - like surface (a parametric surface) in form of 3D vector function of 2 variables. WARNING: Function of this class must be re-checked. More...
class | SnailShell1
| Definition of parametric surface that ressembles a snail's shell in form of 3D vector function of 2 variables. More...
class | SnailShell1Streched
| Definition of parametric surface that ressembles a snail's shell (a bit stretched along the axis) in form of 3D vector function of 2 variables. More...
class | SphereParametric
| Parametric equation of an origin-centered sphere. More...
class | Surface
| Base class for easy definition of surfaces defined through a function of 2 variables. More...
class | Torus
| Parametric equation of a toroid surface in form of 3D vector function of 2 variables. Can be combined with TorusVertical to show 2 interlocked toroids. More...
class | TorusHorizontal
| Parametric equation of a horizontal toroid surface in form of 3D vector function of 2 variables. Can be combined with TorusVertical to show 2 interlocked toroids. More...
class | TorusVertical
| Parametric equation of a horizontal toroid surface in form of 3D vector function of 2 variables. Can be combined with TorusHorizontal to show 2 interlocked toroids. More...
class | UmbilicTorus
| Parametric equation of the umbilic torus surface, a closed single-edged surface in 3D, in form of 3D vector function of 2 variables. More...

## Detailed Description

Contains a number of example 3D vector functions of 2 variables.

Many of the contained nested classes define interesting parametric surfaces.

$A Igor Oct09;

The documentation for this class was generated from the following file:

- Function3d2d.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events